#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


from pyams_content.component.paragraph.interfaces.map import have_gis
if have_gis:

    # import standard library

    # import interfaces
    from pyams_content.component.paragraph.interfaces.map import IMapParagraph as IBaseMapParagraph

    # import packages
    from zope.schema import Bool

    from onf_website import _


    class IMapParagraph(IBaseMapParagraph):
        """Map paragraph interface"""

        use_context_location = Bool(title=_("Use context location?"),
                                    description=_("If 'yes', map will use context location"),
                                    required=True,
                                    default=True)

        no_use_context_location = Bool(title=_("Don't use context location?"),
                                       description=_("If 'yes', map will not use context location"),
                                       required=True,
                                       default=False)
